# $Revision: 1.28 $, $Date: 2011/02/27 08:22:22 $
Summary:	An abstract soundfile decoder
Summary(pl.UTF-8):	Abstrakcyjny dekoder plików dźwiękowych
Name:		SDL_sound
Version:	1.0.3
Release:	5
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.icculus.org/SDL_sound/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	aa09cd52df85d29bee87a664424c94b5
URL:		http://www.icculus.org/SDL_sound/
BuildRequires:	SDL-devel >= 1.2.6
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	libmikmod-devel >= 3.1.5
BuildRequires:	libmodplug-devel
BuildRequires:	libvorbis-devel >= 1:1.0-6
BuildRequires:	libtool
BuildRequires:	physfs-devel >= 1.0.1
BuildRequires:	smpeg-devel >= 0.4.4-12
BuildRequires:	speex-devel
Requires:	SDL >= 1.2.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a filename, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her leisure.
If resource constraints are a concern, SDL_sound can process sound
data in programmer-specified blocks. Alternately, SDL_sound can decode
a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%description -l pl.UTF-8
SDL_sound to biblioteka obsługująca dekodowanie kilku popularnych
formatów plików dźwiękowych, takich jak .WAV lub .MP3. Jej celem
jest uproszczenie pracy programisty przy odtwarzaniu dźwięku.
Programista przekazuje SDL_sound nazwę pliku lub dostarcza dane
bezpośrednio z jednego z wielu źródeł, a następnie odczytuje strumień
zdekodowanych danych. Jeśli ograniczenia zasobów są istotne, SDL_sound
może obsługiwać dane dźwiękowe w podanych blokach. Alternatywnie,
SDL_sound może dekodować cały plik dźwiękowy i przekazywać z powrotem
pojedynczy wskaźnik do całości zdekodowanych danych. SDL_sound może
także obsługiwać w locie konwersję częstotliwości próbkowania, formatu
dźwięku i liczby kanałów.

%package devel
Summary:	Header files and more to develop SDL_sound applications
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia aplikacji z użyciem SDL_sound
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.6
Requires:	flac-devel >= 1.1.3
Requires:	libmikmod-devel >= 3.1.5
Requires:	libmodplug-devel
Requires:	libvorbis-devel >= 1:1.0
Requires:	smpeg-devel >= 0.4.4
Requires:	speex-devel

%description devel
Header files and more to develop SDL_sound applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia aplikacji z użyciem SDL_sound.

%package static
Summary:	Static SDL_sound libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_sound
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_sound libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_sound.

%prep
%setup -q

rm acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains additional notes
%doc CHANGELOG COPYING CREDITS README TODO
%attr(755,root,root) %{_bindir}/playsound
%attr(755,root,root) %{_libdir}/libSDL_sound-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL_sound-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_sound.so
%{_libdir}/libSDL_sound.la
%{_includedir}/SDL/SDL_sound.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_sound.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_sound.spec,v $
Revision 1.28  2011/02/27 08:22:22  arekm
- release 5

Revision 1.27  2010/06/03 00:17:53  baggins
- rel 4

Revision 1.26  2009/05/07 15:42:13  baggins
- rel 3

Revision 1.25  2009/05/05 08:51:56  vip
- rel up

Revision 1.24  2008/05/31 13:58:14  qboosh
- updated to 1.0.3 (fixes CVE-2008-1686)
- removed obsolete flac patch

Revision 1.23  2007-09-05 17:22:24  baggins
- rel 8
- explicit BR for physfs

Revision 1.22  2007/09/05 16:51:13  baggins
- rel 7
- rebuild with new physfs

Revision 1.21  2007/09/05 11:10:36  baggins
- rel 6

Revision 1.20  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.18  2006/12/28 01:03:10  qboosh
- release 5 (restores flac and speex support)

Revision 1.17  2006/12/28 01:02:49  qboosh
- added flac patch (for flac 1.1.3 API)
- added -I/usr/include/speex to CPPFLAGS (for speex 1.1.6+)

Revision 1.16  2006/12/26 13:09:12  wolf
- rel 4

Revision 1.15  2006/05/20 13:59:02  qboosh
- gpm-friendly Source0 URL

Revision 1.14  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.13  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.12  2004/08/05 14:17:25  pluto
- strict deps.

Revision 1.11  2004/06/13 21:14:54  averne
- rel 2 for rebuild with new physfs

Revision 1.10  2003/10/18 08:53:18  qboosh
- physfs support in playsound program

Revision 1.9  2003/10/17 20:14:42  qboosh
- libmodplug support

Revision 1.8  2003/10/17 19:09:32  qboosh
- more BRs for decoder libs
- rebuild auto* to get smpeg test working with gcc 3.3

Revision 1.7  2003/10/13 15:45:19  grzegol
- updated to 1.0.1

Revision 1.6  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.5  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/01/16 00:31:28  aflinta
- moved to /usr ; release 2

Revision 1.2  2003/01/03 12:07:15  qboosh
- pl description

Revision 1.1  2003/01/02 22:08:49  aflinta
- initial PLD release, TODO: docs
